Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MultipleSetterProperty

- org.codehaus.groovy.runtime.metaclass.MultipleSetterProperty

-     public class MultipleSetterProperty
      extends MetaProperty

  This class represents a property with multiple setters. Unlike a MetaBeanProperty you cannot get the setter in this case. Instead invocation is done through the metaclass of the property receiver.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipleSetterProperty(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaProperty` | `createStaticVersion()`
    `` | `public CachedField` | `getField()`
    `` | `public MetaMethod` | `getGetter()`
    `` | `public Object` | `getProperty(Object object)`
    `` | `public void` | `setField(CachedField f)`
    `` | `public void` | `setGetter(MetaMethod getter)`
    `` | `public void` | `setProperty(Object object, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public MultipleSetterProperty(String name)

  - ### Method Detail

    - #### public MetaProperty createStaticVersion()

    - #### public CachedField getField()

    - #### public MetaMethod getGetter()

    - #### @Override
      public Object getProperty(Object object)

    - #### public void setField(CachedField f)

    - #### public void setGetter(MetaMethod getter)

    - #### @Override
      public void setProperty(Object object, Object newValue)